M_ActivitySailingaShopCFG = {}

function M_ActivitySailingaShopCFG:getData(key)
	if self.datas == nil then
		return nil
	end
	return self.datas[key]
end

function M_ActivitySailingaShopCFG:init()
	self.datas = {}
	self.datas[1] = {Id = 1, ItemName = "50元话费", ItemId = 3, ItemCount = 5000, VipLevel = 6, Weight = 0}
	self.datas[2] = {Id = 2, ItemName = "灵珠", ItemId = 94, ItemCount = 1, VipLevel = 5, Weight = 1}
	self.datas[3] = {Id = 3, ItemName = "黄金鱼雷", ItemId = 26, ItemCount = 1, VipLevel = 4, Weight = 4}
	self.datas[4] = {Id = 4, ItemName = "白银鱼雷", ItemId = 25, ItemCount = 1, VipLevel = 3, Weight = 10}
	self.datas[5] = {Id = 5, ItemName = "青铜鱼雷", ItemId = 24, ItemCount = 1, VipLevel = 2, Weight = 40}
	self.datas[6] = {Id = 6, ItemName = "普通鱼雷", ItemId = 23, ItemCount = 1, VipLevel = 0, Weight = 60}
	self.datas[7] = {Id = 7, ItemName = "钻石", ItemId = 2, ItemCount = 10, VipLevel = 0, Weight = 100}
	self.datas[8] = {Id = 8, ItemName = "狂暴", ItemId = 17, ItemCount = 10, VipLevel = 0, Weight = 140}
	self.datas[9] = {Id = 9, ItemName = "狂暴", ItemId = 17, ItemCount = 5, VipLevel = 0, Weight = 200}
	self.datas[10] = {Id = 10, ItemName = "金币", ItemId = 1, ItemCount = 100000, VipLevel = 0, Weight = 75}
	self.datas[11] = {Id = 11, ItemName = "金币", ItemId = 1, ItemCount = 50000, VipLevel = 0, Weight = 140}
	self.datas[12] = {Id = 12, ItemName = "金币", ItemId = 1, ItemCount = 30000, VipLevel = 0, Weight = 230}
end

M_ActivitySailingaShopCFG:init()
